function mpe = find_mpeMM(engine, ev)
% FIND_MPE Find the most probable explanation (Viterbi)
% mpe = enter_evidence(engine, evidence, ...)
%
% evidence{i,t} = [] if if X(i,t) is hidden, and otherwise contains its observed value (scalar or column vector)
%

mpe = cell(size(ev));
engine.tbn_engine = set_fields(engine.tbn_engine, 'maximize', 1);
disp('forward step')
T = size(ev, 2);
f = cell(1,T);
% b = cell(1,T); % b{t}.clpot{c}

f{1} = fwd1(engine.tbn_engine, ev(:,1), 1);
for t=2:T
%   [f{t}, ll(t)] = fwd(engine.tbn_engine, f{t-1}, ev(:,t), t);
  f{t} = fwdMM(engine.tbn_engine, f{t-1}, ev(:,t), t);
end
disp('backward step')
if T==1
  [b, mpe(:,1)] = backT_mpe(engine.tbn_engine, f{1}, ev(:,1), 1);
else
  [b, mpe(:,T)] = backT_mpe(engine.tbn_engine, f{T}, ev(:,T-1:T), T);
  for t=T-1:-1:2
    [b, mpe(:,t)] = back_mpe(engine.tbn_engine, b, f{t}, ev(:,t-1:t), t);
  end
  t = 1;
  [b, mpe(:,t)] = back1_mpe(engine.tbn_engine, b, f{t}, ev(:,1), t);
end
engine.b = b;
  


