function [chroma, t] = chroma_main(filename, param)

switch param.dsp.extractiontype
    case 'ieee2008'
        [chroma, t] = chroma_ieee2008(filename, param);
    case 'MIREX2009'
        [chroma, t] = chroma_MIREX2009(filename, param);
    case 'MIREX2009precalculated'
        [chroma, t] = chroma_MIREX2009precalculated(param);
    case 'lsqnonneg'
        [chroma, t] = chroma_lsqnonneg(filename,param);
        case 'lsqnonnegfast'
        [chroma, t] = chroma_lsqnonneg_fast(filename,param);
    case 'vampprecalculated'
        [chroma, t] = chroma_vampprecalculated(param);
    case 'ISMIR2010'
        [chroma, t] = chroma_lsqnonneg_ISMIR2010(filename, param);
    otherwise
        fprintf(1, 'chroma type %s not recognised', param.dsp.extractiontype)
end