s = chunkspectrogram(filename,4096,4096*7/8,4096,inf);
a = abs(s);
T = size(s,2);
%%
zeroind = find(sum(a)==0 | sum(a)==-inf);
a(:,zeroind) = randn(size(a,1),length(zeroind)).^2;

wind_size = 6 * 3 + 1;
pad_size = (wind_size-1)/2;
wind = qnormalise(hamming(wind_size),1,1);

atransf = wm' * qnormalise(a,2,1);

nFbin = size(wm,2);




% CHANGED: this is an equivalent formulation in terms of phase.
fftr=fft(sum(atransf(3:end-2,:),2));
th = -angle(fftr((nFbin - 4)/3+1)) - 2*pi/3;
th(th < -pi) = th(th < -pi) + 2*pi;
disp(440*2.^(th/2/pi/12))

for iFrame = 1:T
    atransf(:,iFrame) = interp1(1:nFbin, atransf(:,iFrame), (1:nFbin) + th / (2 * pi) * 3,'spline',0);
end


%
nFbin = size(atransf,1);
T = size(atransf,2);

% calculate running mean
m = conv2(atransf,wind(:),'valid');
m = [repmat(m(1,:),pad_size,1); m ; repmat(m(end,:),pad_size,1)];

% calculate running standard deviation
stdev = sqrt(conv2((atransf-m).^2,wind(:),'valid'));
stdev = [repmat(stdev(1,:),pad_size,1); stdev ; repmat(stdev(end,:),pad_size,1)];

% loamp = logical(atransf < 1.5 * m);
% atransf(loamp) = atransf(loamp)/5;
atransf = (atransf - m)./stdev;
atransf(atransf<0) = 0;

% atransf = qnormalise(atransf,inf,2);
% atransf(isnan(atransf)) = 0;

%% generate dictionary
nSBin = 3;
fs = 11025;
blocksize = 4096;
minMidi = 20;
maxMidi = 105;
overs = 40;
midiFrequencies = midinote2frequency(minMidi:1/nSBin:maxMidi);



dx = fs/blocksize/overs;
x = dx:dx:fs/2;
nX = length(x);

nMidi = length(midiFrequencies);
% nFFT = length(fftFrequencies);

midiWarp = semitonedistance(midiFrequencies,nSBin);
% fftWarp = ones(size(x)) * fs / blocksize;

B = zeros(256, 7*12);

for iMidi = 1:7*12
    f0 = midiFrequencies(3*iMidi+1);
    f = f0;
    factor = 1;
    help = (log(f0) - log(midiFrequencies(1)))/log(midiFrequencies(end));
    factorred(iMidi) = 0.9 * (1 - help) + 0.9 * help;
    fprintf(1,'%3.2f %%\r',iMidi/nMidi*100*3)
    midiVector = cospuls_warped(midiFrequencies,f,midiWarp);
    while f < 11025/2;
        f = f + f0;
        factor = factor * factorred(iMidi);
        midiVector = midiVector + factor * cospuls_warped(midiFrequencies,f,midiWarp);    
    end
    B(:,iMidi) = midiVector;
end
% %%

%%
B = qnormalise(B,1,1);
% C = B(:,12:6*36+11)';
C=B;
% atransf(atransf<0) = atransf(atransf<0)/5;
% mys = mldivide(C,(atransf));

atransf = sparse(atransf);

for t = 1:T
    fprintf('%0.1f %%\n',t/T*100)
    mys(:,t) = lsqnonneg(C,atransf(:,t));
end

% mys =  qnormalise(mys,1,1);
% mys(mys<0)=0;
imagesc(mys.*(mys>0))
axis xy
%%

n = size(mys,1);

bt_spacing = 1/4.5;

basswindow = cospuls(1:n,n * bt_spacing +0.5,n * 2 * bt_spacing);
% treblewindow =  cospuls(1:n,2 * n * bt_spacing+0.5,n * 2 * bt_spacing) + cospuls(1:n,3*n * bt_spacing+0.5,n* 2 * bt_spacing);
treblewindow = cospuls(1:n,n * 0.5 + 0.5,n * 2 * 0.5);
% treblewindow = basswindow(12:6*36+11)/2 + treblewindow(12:6*36+11);
% basswindow = basswindow(12:6*36+11);

%%
thirtysix2twelve = zeros(12,36);
for iSemitone = 0:11
    thirtysix2twelve(iSemitone+1,iSemitone*3+(1:3)) = 1;
end
if n == 256
    toPC = repmat(eye(36),7,1);
    toPC = [toPC(end-1:end,:); toPC; toPC(1:2,:)];
    bass_chromagram = mys' * diag(basswindow) * toPC * thirtysix2twelve';
    treble_chromagram = mys' * diag(treblewindow) * toPC * thirtysix2twelve';
else
    toPC = repmat(eye(12),7,1);
    bass_chromagram = mys' * diag(basswindow) * toPC;
    treble_chromagram = mys' * diag(treblewindow) * toPC;
end
% chromagram = mys' * repmat(eye(36),6,1);
thr_l = 0.0;
thr_h = 3;
treble_chromagram(treble_chromagram<thr)=thr_l;
bass_chromagram(bass_chromagram<thr)=thr_l;

treble_chromagram = circshift(treble_chromagram,[0 -3]);
bass_chromagram = circshift(bass_chromagram,[0, -3]);

% treble_chromagram = treble_chromagram + bass_chromagram/4;

% bass_chromagram = medfilt1(bass_chromagram,10);
% treble_chromagram = medfilt1(treble_chromagram,10);

%%
some = 100 * 0;
% subplot(211)
imagesc(qnormalise([(bass_chromagram');(treble_chromagram')],2,1))
hold on
ax = axis;
plot(ax(1:2),[12.5 12.5],'color',[0.7 0.7 0.7])
axis xy
hold off
% xlim([0 800] + some)
% subplot(212)
% imagesc()
% xlim([0 800] + some)
% axis xy
%%
dlmwrite('/Users/matthiasmauch/temptreble.csv',treble_chromagram, 'delimiter','\t');
dlmwrite('/Users/matthiasmauch/tempbass.csv',bass_chromagram, 'delimiter','\t');
