function param = add_chords(param)


patterns = [];
lilytypenames = {};
bassn = [];
hasN = false;
for iChord = 1:length(param.dbn.chordclassset)
    switch param.dbn.chordclassset{iChord}
        case ''
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 0 0 0]; % major
            lilytypenames = [lilytypenames, ' '];
            bassn = [bassn, 1];
        case '/3'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 0 0 0]; % major/3
            lilytypenames = [lilytypenames, ' '];
            bassn = [bassn, 5];
        case '/5'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 0 0 0]; % major/5
            lilytypenames = [lilytypenames, ' '];
            bassn = [bassn, 8];
        case ':maj6'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 1 0 0]; % major 6
            lilytypenames = [lilytypenames, ':6'];
            bassn = [bassn, 1];
        case ':maj7'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 0 0 1]; % major 7
            lilytypenames = [lilytypenames, ':maj7'];
            bassn = [bassn, 1];
        case ':min'
            patterns = [patterns; ...
                1 0 0 1 0 0 0 1 0 0 0 0]; % minor
            lilytypenames = [lilytypenames, ':m'];
            bassn = [bassn, 1];
        case ':min7'
            patterns = [patterns; ...
                1 0 0 1 0 0 0 1 0 0 1 0]; % minor
            lilytypenames = [lilytypenames, ':m7'];
            bassn = [bassn, 1];
        case ':7'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 1 0 0 1 0]; % dominant
            lilytypenames = [lilytypenames, ':7'];
            bassn = [bassn, 1];
        case ':dim'
            patterns = [patterns; ...
                1 0 0 1 0 0 1 0 0 0 0 0]; % diminished
            lilytypenames = [lilytypenames, ':dim'];
            bassn = [bassn, 1];
        case ':aug'
            patterns = [patterns; ...
                1 0 0 0 1 0 0 0 1 0 0 0]; % augmented
            lilytypenames = [lilytypenames, ':aug'];
            bassn = [bassn, 1];
        case 'N'            
            hasN = true;
            hasN0 = false;
        case 'N0';
            hasN0 = true;
            hasN = false;
    end
end
nRow = size(patterns,1);

sz = 12;

bass_notes = zeros(1,sz*nRow+1);
root_notes = bass_notes;
chordnames = cell(1,sz*nRow+1);
lilychordnames = chordnames;
mu = zeros(sz,sz*nRow+1);
cova = zeros(sz,sz,sz*nRow+1);
count = 1;

for iRow = 1:nRow
    for iSemitone = 1:sz
        mu(:,count) = circshift(patterns(iRow,:)',iSemitone-1);
        cova(:,:,count) = eye(sz) * param.dbn.chromavar;
        root_notes(count) = iSemitone;
        chordnames{count} = param.dbn.chordclassset{iRow};
        lilychordnames{count} = lilytypenames{iRow};
        if bassn(iRow) ~= 13
            bass_notes(count) = mod(bassn(iRow)+iSemitone-2,12)+1;
        else
            bass_notes(count) = 13;
        end
        count = count + 1;
    end
end
indexN = count;
if hasN
    mu(:,indexN) = ones(12,1); % "no chord"
    lilychordnames{count} = ' ';
    cova(:,:,indexN) = mean(cova,3);
    bass_notes(indexN) = 13;
    root_notes(indexN) = 13;
end
if hasN0
    mu(:,indexN) = zeros(12,1); % "no chord"
    cova(:,:,indexN) = mean(cova,3);
    bass_notes(indexN) = 13;
    root_notes(indexN) = 13;
end

%%
param.dbn.nChord = size(mu,2);
param.dbn.chordpcs = mu;
param.dbn.cova = cova;
param.dbn.lilytypechordnames = lilychordnames;
param.dbn.chordnames = chordnames;
param.dbn.chordrootnotes = root_notes;
param.dbn.chordbassnotes = bass_notes;

