function allfilenames = filecollection(coll, ext, varargin)

nArg = length(varargin);
% varargin
if nArg > 0 && ~isempty(varargin{1})
    data_dir = varargin{1};
    if data_dir(end) == '/', data_dir = data_dir(1:end-1); end    
else
    data_dir = '/Volumes/data/Content/BeatlesWav';
end
if iscell(coll)
    collec = coll;
else
    collec = {coll};
end

allfilenames = [];
sla = '/';
% data_dir = '/Volumes/data/Content/BeatlesWav';
for iCollec = 1:length(collec)
    switch collec{iCollec}
        case 'omras2'
            filenames = {...
                ['/Users/matthiasmauch/Desktop/OMRAS2 demo/demo' ext]};
        case 'testletitbe'
            filenames = {...
                [data_dir sla '12_-_Let_It_Be/06_-_Let_It_Be' ext]};
        case 'teo'
            filenames = {...
                [data_dir sla 'nonBeatles/10 Teo Torriatte (Let Us Cling Together)' ext]};
        case 'testsawher'
            filenames = {...
                [data_dir sla '01_-_Please_Please_Me/01_-_I_Saw_Her_Standing_There' ext]};
            
        case 'testlose' 
            filenames = {...
                [data_dir sla '05_-_Help!/06_-_You''re_Going_to_Lose_That_Girl' ext]};
            
        case 'testwords' 
            filenames = {...
                [data_dir sla '04_-_Beatles_For_Sale/09_-_Words_Of_Love' ext]};
        case 'testyesterday'
            filenames = {...
                [data_dir sla '05_-_Help!/13_-_Yesterday' ext]};
        case 'testcometogether' 
            filenames = {...
                [data_dir sla '11_-_Abbey_Road/01_-_Come_Together' ext]};
        case 'testfriends' 
            filenames = {...
                [data_dir sla 'nonBeatles/15-Friends Will Be Friends' ext]};
        case 'testfriends2' 
            filenames = {...
                ['/Volumes/Private/iTunes/iTunes Music/Queen/A Kind of Magic/05 Friends will be Friends' ext]};
        case 'carole'
            filenames = {...
                [data_dir sla 'Carole King/Tapestry/06 Way Over Yonder' ext],...
                [data_dir sla 'Carole King/Tapestry/05 Beautiful' ext],...
                [data_dir sla 'Carole King/Tapestry/04 Home Again' ext],...
                [data_dir sla 'Carole King/Tapestry/03 It''s Too Late' ext],...
                [data_dir sla 'Carole King/Tapestry/02 So Far Away' ext],...
                [data_dir sla 'Carole King/Tapestry/01 I Feel The Earth Move' ext],...
                [data_dir sla 'Carole King/Tapestry/11 Tapestry' ext],...
                [data_dir sla 'Carole King/Tapestry/10 Smackwater Jack' ext],...
                [data_dir sla 'Carole King/Tapestry/09 Will You Love Me Tomorrow_' ext],...
                [data_dir sla 'Carole King/Tapestry/08 Where You Lead' ext],...
                [data_dir sla 'Carole King/Tapestry/07 You''ve Got A Friend' ext],...
                [data_dir sla 'Carole King/Tapestry/14 Smackwater Jack [Live]' ext],...
                [data_dir sla 'Carole King/Tapestry/13 Out In The Cold' ext],...
                [data_dir sla 'Carole King/Tapestry/12 Feel Like A Natural Woman' ext]};
        case 'u2'
            filenames = {...
                [data_dir sla 'U2/U218 Singles/02 Beautiful Day' ext]};
        case 'dinverno'
            filenames = { ...
                ['/Volumes/Private/CubaseProjects/dinverno/Audio/dinverno_autumnleaves1' ext],...
                ['/Volumes/Private/CubaseProjects/dinverno/Audio/dinverno_autumnleaves2' ext],...
                ['/Volumes/Private/CubaseProjects/dinverno/Audio/dinverno_shookup1' ext],...
                ['/Volumes/Private/CubaseProjects/dinverno/Audio/dinverno_helpfrommyfriends1' ext],...
                ['/Volumes/Private/CubaseProjects/dinverno/Audio/dinverno_autumnleaves3' ext]};
        case '01_-_Please_Please_Me'
            filenames = {...
                [data_dir sla '01_-_Please_Please_Me/01_-_I_Saw_Her_Standing_There' ext],...
                [data_dir sla '01_-_Please_Please_Me/02_-_Misery' ext],...
                [data_dir sla '01_-_Please_Please_Me/03_-_Anna_(Go_To_Him)' ext],...
                [data_dir sla '01_-_Please_Please_Me/04_-_Chains' ext],...
                [data_dir sla '01_-_Please_Please_Me/05_-_Boys' ext],...
                [data_dir sla '01_-_Please_Please_Me/06_-_Ask_Me_Why' ext],...
                [data_dir sla '01_-_Please_Please_Me/07_-_Please_Please_Me' ext],...
                [data_dir sla '01_-_Please_Please_Me/08_-_Love_Me_Do' ext],...
                [data_dir sla '01_-_Please_Please_Me/09_-_P._S._I_Love_You' ext],...
                [data_dir sla '01_-_Please_Please_Me/10_-_Baby_It''s_You' ext],...
                [data_dir sla '01_-_Please_Please_Me/11_-_Do_You_Want_To_Know_A_Secret' ext],...
                ...[data_dir sla '01_-_Please_Please_Me/12_-_A_Taste_Of_Honey' ext],...
                [data_dir sla '01_-_Please_Please_Me/13_-_There''s_A_Place' ext],...
                [data_dir sla '01_-_Please_Please_Me/14_-_Twist_And_Shout' ext]};

        case '02_-_With_the_Beatles'
            filenames = {...
                [data_dir sla '02_-_With_the_Beatles/01_-_It_Won''t_Be_Long' ext],...
                [data_dir sla '02_-_With_the_Beatles/02_-_All_I''ve_Got_To_Do' ext],...
                [data_dir sla '02_-_With_the_Beatles/03_-_All_My_Loving' ext],...
                [data_dir sla '02_-_With_the_Beatles/04_-_Don''t_Bother_Me' ext],...
                [data_dir sla '02_-_With_the_Beatles/05_-_Little_Child' ext],...
                [data_dir sla '02_-_With_the_Beatles/06_-_Till_There_Was_You' ext],...
                [data_dir sla '02_-_With_the_Beatles/07_-_Please_Mister_Postman' ext],...
                [data_dir sla '02_-_With_the_Beatles/08_-_Roll_Over_Beethoven' ext],...
                [data_dir sla '02_-_With_the_Beatles/09_-_Hold_Me_Tight' ext],...
                ...[data_dir sla '02_-_With_the_Beatles/10_-_You_Really_Got_A_Hold_On_Me' ext],...
                [data_dir sla '02_-_With_the_Beatles/11_-_I_Wanna_Be_Your_Man' ext],...
                [data_dir sla '02_-_With_the_Beatles/12_-_Devil_In_Her_Heart' ext],...
                [data_dir sla '02_-_With_the_Beatles/13_-_Not_A_Second_Time' ext],...
                [data_dir sla '02_-_With_the_Beatles/14_-_Money' ext]};

        case '03_-_A_Hard_Day''s_Night'
            filenames = {...
                [data_dir sla '03_-_A_Hard_Day''s_Night/01_-_A_Hard_Day''s_Night' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/02_-_I_Should_Have_Known_Better' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/03_-_If_I_Fell' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/04_-_I''m_Happy_Just_To_Dance_With_You' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/05_-_And_I_Love_Her' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/06_-_Tell_Me_Why' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/07_-_Can''t_Buy_Me_Love' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/08_-_Any_Time_At_All' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/09_-_I''ll_Cry_Instead' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/10_-_Things_We_Said_Today' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/11_-_When_I_Get_Home' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/12_-_You_Can''t_Do_That' ext],...
                [data_dir sla '03_-_A_Hard_Day''s_Night/13_-_I''ll_Be_Back' ext]};


        case '04_-_Beatles_for_Sale'
            filenames = {...
                [data_dir sla '04_-_Beatles_for_Sale/01_-_No_Reply' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/02_-_I''m_a_Loser' ext],...
                ...[data_dir sla '04_-_Beatles_for_Sale/03_-_Baby''s_In_Black' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/04_-_Rock_and_Roll_Music' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/05_-_I''ll_Follow_the_Sun' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/06_-_Mr._Moonlight' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/07_-_Kansas_City-_Hey,_Hey,_Hey,_Hey' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/08_-_Eight_Days_a_Week' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/09_-_Words_of_Love' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/10_-_Honey_Don''t' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/11_-_Every_Little_Thing' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/12_-_I_Don''t_Want_to_Spoil_the_Party' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/13_-_What_You''re_Doing' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/14_-_Everybody''s_Trying_to_Be_My_Baby' ext]};


        case '05_-_Help!'
            filenames = {...
                [data_dir sla '05_-_Help!/01_-_Help!' ext],...
                [data_dir sla '05_-_Help!/02_-_The_Night_Before' ext],...
                ...[data_dir sla '05_-_Help!/03_-_You''ve_Got_To_Hide_Your_Love_Away' ext],...
                [data_dir sla '05_-_Help!/04_-_I_Need_You' ext],...
                [data_dir sla '05_-_Help!/05_-_Another_Girl' ext],...
                [data_dir sla '05_-_Help!/06_-_You''re_Going_to_Lose_That_Girl' ext],...
                [data_dir sla '05_-_Help!/07_-_Ticket_To_Ride' ext],...
                [data_dir sla '05_-_Help!/08_-_Act_Naturally' ext],...
                [data_dir sla '05_-_Help!/09_-_It''s_Only_Love' ext],...
                [data_dir sla '05_-_Help!/10_-_You_Like_Me_Too_Much' ext],...
                [data_dir sla '05_-_Help!/11_-_Tell_Me_What_You_See' ext],...
                [data_dir sla '05_-_Help!/12_-_I''ve_Just_Seen_a_Face' ext],...
                [data_dir sla '05_-_Help!/13_-_Yesterday' ext],...
                [data_dir sla '05_-_Help!/14_-_Dizzy_Miss_Lizzy' ext]};

        case '06_-_Rubber_Soul'
            filenames = {...
                [data_dir sla '06_-_Rubber_Soul/01_-_Drive_My_Car' ext],...
                ...            [data_dir sla '06_-_Rubber_Soul/02_-_Norwegian_Wood_(This_Bird_Has_Flown)' ext],...
                [data_dir sla '06_-_Rubber_Soul/03_-_You_Won''t_See_Me' ext],...
                [data_dir sla '06_-_Rubber_Soul/04_-_Nowhere_Man' ext],...
                [data_dir sla '06_-_Rubber_Soul/05_-_Think_For_Yourself' ext],...
                [data_dir sla '06_-_Rubber_Soul/06_-_The_Word' ext],...
                [data_dir sla '06_-_Rubber_Soul/07_-_Michelle' ext],...
                [data_dir sla '06_-_Rubber_Soul/08_-_What_Goes_On' ext],...
                [data_dir sla '06_-_Rubber_Soul/09_-_Girl' ext],...
                [data_dir sla '06_-_Rubber_Soul/10_-_I''m_Looking_Through_You' ext],...
                [data_dir sla '06_-_Rubber_Soul/11_-_In_My_Life' ext],...
                [data_dir sla '06_-_Rubber_Soul/12_-_Wait' ext],...
                [data_dir sla '06_-_Rubber_Soul/13_-_If_I_Needed_Someone' ext],...
                [data_dir sla '06_-_Rubber_Soul/14_-_Run_For_Your_Life' ext]};

        case '07_-_Revolver'
            filenames = {...
                [data_dir sla '07_-_Revolver/01_-_Taxman' ext],...
                [data_dir sla '07_-_Revolver/02_-_Eleanor_Rigby' ext],...
                [data_dir sla '07_-_Revolver/03_-_I''m_Only_Sleeping' ext],...
                ...[data_dir sla '07_-_Revolver/04_-_Love_You_To' ext],...
                [data_dir sla '07_-_Revolver/05_-_Here,_There_And_Everywhere' ext],...
                [data_dir sla '07_-_Revolver/06_-_Yellow_Submarine' ext],...
                [data_dir sla '07_-_Revolver/07_-_She_Said_She_Said' ext],...
                ...[data_dir sla '07_-_Revolver/08_-_Good_Day_Sunshine' ext],...
                [data_dir sla '07_-_Revolver/09_-_And_Your_Bird_Can_Sing' ext],...
                [data_dir sla '07_-_Revolver/10_-_For_No_One' ext],...
                [data_dir sla '07_-_Revolver/11_-_Doctor_Robert' ext],...
                [data_dir sla '07_-_Revolver/12_-_I_Want_To_Tell_You' ext],...
                [data_dir sla '07_-_Revolver/13_-_Got_To_Get_You_Into_My_Life' ext],...
                ...[data_dir sla '07_-_Revolver/14_-_Tomorrow_Never_Knows' ext]...
                };

        case  '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band'
            filenames = {...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/01_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/02_-_With_A_Little_Help_From_My_Friends' ext],...
                ...[data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/03_-_Lucy_In_The_Sky_With_Diamonds' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/04_-_Getting_Better' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/05_-_Fixing_A_Hole' ext],...
                ...[data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/06_-_She''s_Leaving_Home' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/07_-_Being_For_The_Benefit_Of_Mr._Kite!' ext],...
                ...[data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/08_-_Within_You_Without_You' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/09_-_When_I''m_Sixty-Four' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/10_-_Lovely_Rita' ext],...
                ...[data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/11_-_Good_Morning_Good_Morning' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/12_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band_(Reprise)' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/13_-_A_Day_In_The_Life' ext]};

        case '09_-_Magical_Mystery_Tour'
            filenames = {...
                [data_dir sla '09_-_Magical_Mystery_Tour/01_-_Magical_Mystery_Tour' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/02_-_The_Fool_On_The_Hill' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/03_-_Flying' ext],...
                ...[data_dir sla '09_-_Magical_Mystery_Tour/04_-_Blue_Jay_Way' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/05_-_Your_Mother_Should_Know' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/06_-_I_Am_The_Walrus' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/07_-_Hello_Goodbye' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/08_-_Strawberry_Fields_Forever' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/09_-_Penny_Lane' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/10_-_Baby_You''re_A_Rich_Man' ext],...
                ...[data_dir sla '09_-_Magical_Mystery_Tour/11_-_All_You_Need_Is_Love' ext] ...
                };

        case '10CD1_-_The_Beatles'
            filenames = {...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_01_-_Back_in_the_USSR' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_02_-_Dear_Prudence' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_03_-_Glass_Onion' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_04_-_Ob-La-Di,_Ob-La-Da' ext],...
                ...[data_dir sla '10CD1_-_The_Beatles/CD1_-_05_-_Wild_Honey_Pie' ext],...
                ...[data_dir sla '10CD1_-_The_Beatles/CD1_-_06_-_The_Continuing_Story_of_Bungalow_Bill' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_07_-_While_My_Guitar_Gently_Weeps' ext],...
                ...[data_dir sla '10CD1_-_The_Beatles/CD1_-_08_-_Happiness_is_a_Warm_Gun' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_09_-_Martha_My_Dear' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_10_-_I''m_So_Tired' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_11_-_Black_Bird' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_12_-_Piggies' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_13_-_Rocky_Raccoon' ext],...
                ...[data_dir sla '10CD1_-_The_Beatles/CD1_-_14_-_Don''t_Pass_Me_By' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_15_-_Why_Don''t_We_Do_It_In_The_Road' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_16_-_I_Will' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_17_-_Julia' ext]};

        case '10CD2_-_The_Beatles'
            filenames = {...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_01_-_Birthday' ext],...
                ...[data_dir sla '10CD2_-_The_Beatles/CD2_-_02_-_Yer_Blues' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_03_-_Mother_Nature''s_Son' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_04_-_Everybody''s_Got_Something_To_Hide_Except_Me_and_M' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_05_-_Sexy_Sadie' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_06_-_Helter_Skelter' ext],...
                ...[data_dir sla '10CD2_-_The_Beatles/CD2_-_07_-_Long_Long_Long' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_08_-_Revolution_1' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_09_-_Honey_Pie' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_10_-_Savoy_Truffle' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_11_-_Cry_Baby_Cry' ext],...
                ...[data_dir sla '10CD2_-_The_Beatles/CD2_-_12_-_Revolution_9' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_13_-_Good_Night' ext]};

        case '11_-_Abbey_Road'
            filenames = {...
                [data_dir sla '11_-_Abbey_Road/01_-_Come_Together' ext],...
                [data_dir sla '11_-_Abbey_Road/02_-_Something' ext],...
                [data_dir sla '11_-_Abbey_Road/03_-_Maxwell''s_Silver_Hammer' ext],...
                ...[data_dir sla '11_-_Abbey_Road/04_-_Oh!_Darling' ext],...
                [data_dir sla '11_-_Abbey_Road/05_-_Octopus''s_Garden' ext],...
                ...[data_dir sla '11_-_Abbey_Road/06_-_I_Want_You' ext],...
                [data_dir sla '11_-_Abbey_Road/07_-_Here_Comes_The_Sun' ext],...
                [data_dir sla '11_-_Abbey_Road/08_-_Because' ext],...
                [data_dir sla '11_-_Abbey_Road/09_-_You_Never_Give_Me_Your_Money' ext],...
                [data_dir sla '11_-_Abbey_Road/10_-_Sun_King' ext],...
                [data_dir sla '11_-_Abbey_Road/11_-_Mean_Mr_Mustard' ext],...
                [data_dir sla '11_-_Abbey_Road/12_-_Polythene_Pam' ext],...
                [data_dir sla '11_-_Abbey_Road/13_-_She_Came_In_Through_The_Bathroom_Window' ext],...
                [data_dir sla '11_-_Abbey_Road/14_-_Golden_Slumbers' ext],...
                [data_dir sla '11_-_Abbey_Road/15_-_Carry_That_Weight' ext],...
                [data_dir sla '11_-_Abbey_Road/16_-_The_End' ext],...
                [data_dir sla '11_-_Abbey_Road/17_-_Her_Majesty' ext]};

        case '12_-_Let_It_Be'
            filenames = {...
                ...[data_dir sla '12_-_Let_It_Be/01_-_Two_of_Us' ext],...
                ...[data_dir sla '12_-_Let_It_Be/02_-_Dig_a_Pony' ext],...
                [data_dir sla '12_-_Let_It_Be/03_-_Across_the_Universe' ext],...
                ...            [data_dir sla '12_-_Let_It_Be/04_-_I_Me_Mine' ext],...
                ...            [data_dir sla '12_-_Let_It_Be/05_-_Dig_It' ext],...
                [data_dir sla '12_-_Let_It_Be/06_-_Let_It_Be' ext],...
                [data_dir sla '12_-_Let_It_Be/07_-_Maggie_Mae' ext],...
                [data_dir sla '12_-_Let_It_Be/08_-_I''ve_Got_A_Feeling' ext],...
                [data_dir sla '12_-_Let_It_Be/09_-_One_After_909' ext],...
                [data_dir sla '12_-_Let_It_Be/10_-_The_Long_and_Winding_Road' ext],...
                [data_dir sla '12_-_Let_It_Be/11_-_For_You_Blue' ext],...
                [data_dir sla '12_-_Let_It_Be/12_-_Get_Back' ext]};
        case 'discarded'
            filenames = {...
                [data_dir sla '01_-_Please_Please_Me/12_-_A_Taste_Of_Honey' ext],...
                [data_dir sla '02_-_With_the_Beatles/10_-_You_Really_Got_A_Hold_On_Me' ext],...
                [data_dir sla '04_-_Beatles_for_Sale/03_-_Baby''s_In_Black' ext],...
                [data_dir sla '05_-_Help!/03_-_You''ve_Got_To_Hide_Your_Love_Away' ext],...
                [data_dir sla '06_-_Rubber_Soul/02_-_Norwegian_Wood_(This_Bird_Has_Flown)' ext],...
                [data_dir sla '07_-_Revolver/04_-_Love_You_To' ext],...
                [data_dir sla '07_-_Revolver/08_-_Good_Day_Sunshine' ext],...
                [data_dir sla '07_-_Revolver/14_-_Tomorrow_Never_Knows' ext]...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/03_-_Lucy_In_The_Sky_With_Diamonds' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/06_-_She''s_Leaving_Home' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/08_-_Within_You_Without_You' ext],...
                [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/11_-_Good_Morning_Good_Morning' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/04_-_Blue_Jay_Way' ext],...
                [data_dir sla '09_-_Magical_Mystery_Tour/11_-_All_You_Need_Is_Love' ext] ...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_05_-_Wild_Honey_Pie' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_02_-_Yer_Blues' ext],...
                [data_dir sla '10CD2_-_The_Beatles/CD2_-_07_-_Long_Long_Long' ext],...
                [data_dir sla '11_-_Abbey_Road/04_-_Oh!_Darling' ext],...
                [data_dir sla '12_-_Let_It_Be/01_-_Two_of_Us' ext],...
                [data_dir sla '12_-_Let_It_Be/02_-_Dig_a_Pony' ext],...
                [data_dir sla '12_-_Let_It_Be/04_-_I_Me_Mine' ext],...
                [data_dir sla '12_-_Let_It_Be/05_-_Dig_It' ext],...
                [data_dir sla '11_-_Abbey_Road/06_-_I_Want_You' ext]...
                    };
        case 'notinMIREX'
            filenames = {...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_06_-_The_Continuing_Story_of_Bungalow_Bill' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_14_-_Don''t_Pass_Me_By' ext],...
                [data_dir sla '10CD1_-_The_Beatles/CD1_-_08_-_Happiness_is_a_Warm_Gun' ext],...
                    };
        case 'revolution9'
            filenames = {[data_dir sla '10CD2_-_The_Beatles/CD2_-_12_-_Revolution_9' ext]};
        case 'leftovers'
            filenames = {...
                          [data_dir sla '08_-_Sgt._Pepper''s_Lonely_Hearts_Club_Band/06_-_She''s_Leaving_Home' ext],...
                          [data_dir sla '07_-_Revolver/04_-_Love_You_To' ext],...
                };
        case 'semma'
            filenames = {...
                [data_dir sla 'SeMMA/audio/Britney_Spear_##_Baby_Hit_Me_One_More_Time', ext],...
                [data_dir sla 'SeMMA/audio/Bjork_##_Its_Oh_So_Quiet', ext],...
                [data_dir sla 'SeMMA/audio/Alanis_Morissette_##_Thank_U', ext],...
                [data_dir sla 'SeMMA/audio/Alanis_Morissette_##_Head_Over_Feet', ext],...
                [data_dir sla 'SeMMA/audio/A_Ha_##_Take_On_Me', ext],...
                [data_dir sla 'SeMMA/audio/The_Clash_##_Should_I_Stay_Or_Should_I_Go', ext],...
                [data_dir sla 'SeMMA/audio/Spice_Girls_##_Wannabe', ext],...
                [data_dir sla 'SeMMA/audio/Seal_##_Crazy', ext],...
                [data_dir sla 'SeMMA/audio/Radiohead_##_Creep', ext],...
                [data_dir sla 'SeMMA/audio/Oasis_##_Wonderwall', ext],...
                [data_dir sla 'SeMMA/audio/Nirvana_##_Smells_Like_Teen_Spirit', ext],...
                [data_dir sla 'SeMMA/audio/Deus_##_Suds_and_Soda', ext],...
                [data_dir sla 'SeMMA/audio/Cranberries_##_Zombie', ext],...
                [data_dir sla 'SeMMA/audio/Chumbawamba_##_Tubthumping', ext],...
                };
    end
    allfilenames = [allfilenames,filenames];
end