function song = song_segchroma(song, param)
switch param.seg.type
    case 'none' % no segmentation, segchroma equals syncchroma
        song.segchroma = song.syncchroma;
    otherwise
        song = overlaychroma(song, param);
end

function song = overlaychroma(song,param)
song.segchroma.treble = zeros(size(song.syncchroma.treble));
song.segchroma.bass = zeros(size(song.syncchroma.bass));
nPart = numel(song.parts);
for iPart = 1:nPart
    song.parts(iPart).nInd = length(song.parts(iPart).indices);
    for iOccur = 1:song.parts(iPart).nInd
        iStartIndex = song.parts(iPart).indices(iOccur);
        iEndIndex = iStartIndex + song.parts(iPart).n - 1;
        for kOccur = 1:song.parts(iPart).nInd
            kStartIndex = song.parts(iPart).indices(kOccur);
            kEndIndex = kStartIndex + song.parts(iPart).n - 1;
            song.segchroma.treble(iStartIndex:iEndIndex,:) = ...
                song.segchroma.treble(iStartIndex:iEndIndex,:) + ...
                song.syncchroma.treble(kStartIndex:kEndIndex,:);
            song.segchroma.bass(iStartIndex:iEndIndex,:) = ...
                song.segchroma.bass(iStartIndex:iEndIndex,:) + ...
                song.syncchroma.bass(kStartIndex:kEndIndex,:);
        end
    end
end
song.segchroma.treble = qnormalise(song.segchroma.treble,inf,2);
song.segchroma.bass = qnormalise(song.segchroma.bass,inf,2);