function outnote = spellnote(key,root,varargin)
if nargin > 2
    type = varargin{1};
else
    type = 'normal';
end

switch type
    case 'normal'
        if root ~= 13
            scale{1} = {'C','C#','D','Eb','E','F','F#','G','Ab','A','Bb','B'};
            scale{2} = {'Db','D','Eb','E','F','Gb','G','Ab','A','Bb','B','C'};
            scale{3} = {'D','D#','E','F','F#','G','G#','A','Bb','B','C','C#'};
            scale{4} = {'Eb','E','F','Gb','G','Ab','A','Bb','B','C','Db','D'};
            scale{5} = {'E','F','F#','G','G#','A','Bb','B','C','C#','D','D#'};
            scale{6} = {'F','Gb','G','Ab','A','Bb','B','C','Db','D','Eb','E'};
            scale{7} = {'Gb','G','Ab','A','Bb','Cb','C','Db','D','Eb','E','F'};
            scale{8} = {'G','G#','A','Bb','B','C','C#','D','D#','E','F','F#'};
            scale{9} = {'Ab','A','Bb','B','C','Db','D','Eb','E','F','Gb','G'};
            scale{10} = {'A','Bb','B','C','C#','D','D#','E','F','F#','G','G#'};
            scale{11} = {'Bb','B','C','Db','D','Eb','E','F','Gb','G','Ab','A'};
            scale{12} = {'B','C','C#','D','D#','E','F','F#','G','G#','A','A#'};
            scale{13} = {'Eb','E','F','Gb','G','Ab','A','Bb','B','C','Db','D'};
            scale{14} = {'E','F','F#','G','G#','A','Bb','B','C','C#','D','D#'};
            scale{15} = {'F','Gb','G','Ab','A','Bb','B','C','Db','D','Eb','E'};
            scale{16} = {'Gb','G','Ab','A','Bb','Cb','C','Db','D','Eb','E','F'};
            scale{17} = {'G','G#','A','Bb','B','C','C#','D','D#','E','F','F#'};
            scale{18} = {'Ab','A','Bb','B','C','Db','D','Eb','E','F','Gb','G'};
            scale{19} = {'A','Bb','B','C','C#','D','D#','E','F','F#','G','G#'};
            scale{20} = {'Bb','B','C','Db','D','Eb','E','F','Gb','G','Ab','A'};
            scale{21} = {'B','C','C#','D','D#','E','F','F#','G','G#','A','A#'};
            scale{22} = {'C','C#','D','Eb','E','F','F#','G','Ab','A','Bb','B'};
            scale{23} = {'Db','D','Eb','E','F','Gb','G','Ab','A','Bb','B','C'};
            scale{24} = {'D','D#','E','F','F#','G','G#','A','Bb','B','C','C#'};
            outnote = scale{key}{mod(root - key,12)+1};
        else
            outnote = '';
        end
    case 'lily'
        if root ~= 13
            scale{1} = {'c','cis','d','es','e','f','fis','g','as','a','bes','b'};
            scale{2} = {'des','d','es','e','f','ges','g','as','a','bes','b','c'};
            scale{3} = {'d','dis','e','f','fis','g','gis','a','bes','b','c','cis'};
            scale{4} = {'es','e','f','ges','g','as','a','bes','b','c','des','d'};
            scale{5} = {'e','f','fis','g','gis','a','bes','b','c','cis','d','dis'};
            scale{6} = {'f','ges','g','as','a','bes','b','c','des','d','es','e'};
            scale{7} = {'ges','g','as','a','bes','ces','c','des','d','es','e','f'};
            scale{8} = {'g','gis','a','bes','b','c','cis','d','dis','e','f','fis'};
            scale{9} = {'as','a','bes','b','c','des','d','es','e','f','ges','g'};
            scale{10} = {'a','bes','b','c','cis','d','dis','e','f','fis','g','gis'};
            scale{11} = {'bes','b','c','des','d','es','e','f','ges','g','as','a'};
            scale{12} = {'b','c','cis','d','dis','e','f','fis','g','gis','a','ais'};
            scale{13} = {'es','e','f','ges','g','as','a','bes','b','c','des','d'};
            scale{14} = {'e','f','fis','g','gis','a','bes','b','c','cis','d','dis'};
            scale{15} = {'f','ges','g','as','a','bes','b','c','des','d','es','e'};
            scale{16} = {'ges','g','as','a','bes','ces','c','des','d','es','e','f'};
            scale{17} = {'g','gis','a','bes','b','c','cis','d','dis','e','f','fis'};
            scale{18} = {'as','a','bes','b','c','des','d','es','e','f','ges','g'};
            scale{19} = {'a','bes','b','c','cis','d','dis','e','f','fis','g','gis'};
            scale{20} = {'bes','b','c','des','d','es','e','f','ges','g','as','a'};
            scale{21} = {'b','c','cis','d','dis','e','f','fis','g','gis','a','ais'};
            scale{22} = {'c','cis','d','es','e','f','fis','g','as','a','bes','b'};
            scale{23} = {'des','d','es','e','f','ges','g','as','a','bes','b','c'};
            scale{24} = {'d','dis','e','f','fis','g','gis','a','bes','b','c','cis'};
            outnote = scale{key}{mod(root - key,12)+1};
        else
            outnote = 'r';
        end
end
